import os

# daoc chatwindow string:
# ChatWindow2=Wtf,1615,964,780,476,100,100,16,1,0,1
class UserConfigs:
    THALOUSER = "Thaloria"
    ADWAUSER = "Adwa"
    EDDIEUSER = "Eddie"

    user: str

    def __init__(self):

        user_from_env = os.environ.get('PYTHON_USER')
        if user_from_env == self.THALOUSER:
            self.user = self.THALOUSER
        elif user_from_env == self.EDDIEUSER:
            self.user = self.EDDIEUSER
        else:
            self.user = self.ADWAUSER

    def returnMagicWindowPos(self):
        if self.user == self.THALOUSER:
            return [1800, 1150, 0, 0]
        elif self.user == self.ADWAUSER:
            return [740, 450, 1625, 985]
        elif self.user == self.EDDIEUSER:
            return [740, 450, 1625, 985]
        else:
            pass

    def returnFullScreenWindowPos(self):
        if self.user == self.THALOUSER:
            return [2560, 1440, 0, 0]
        elif self.user == self.ADWAUSER:
            return [740, 450, 1625, 985]
        elif self.user == self.EDDIEUSER:
            return [740, 450, 1625, 985]
        else:
            pass

    def returnDiggingWindowPos(self):
        if self.user == self.THALOUSER:
            return [1410, 1128, 402, 22]
        elif self.user == self.ADWAUSER:
            return [740, 450, 1625, 985]
        elif self.user == self.EDDIEUSER:
            return [740, 450, 1625, 985]
        else:
            pass

    def returnEquipmentWindowPos(self):
        if self.user == self.THALOUSER:
            return [1800, 1150, 0, 0]
        elif self.user == self.ADWAUSER:
            return [740, 450, 1625, 985]
        elif self.user == self.EDDIEUSER:
            return [740, 450, 1625, 985]
        else:
            pass

    def return_database_ip(self):
        if self.user == self.THALOUSER:
            return "192.168.178.201"
        else:
            return "thalo.ddns.net"
